(function(){
    X.pageLogic['kanbantypeset'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var listdata = parms.extData;
            layui.form.render();
            if(listdata){
                layui.form.val('kanbantypeexample',{
                    graph_type: listdata.graph_type || 'table',
                    graph_size: listdata.graph_size || 'in'
                })
            }

            $(document).off('click','.adduser-top-box img').on('click','.adduser-top-box img',function(){
                layer.close(parms.layIndex);
            });

            $(document).off('click','.kanbantypeset-but-box .adduser-btn').on('click','.kanbantypeset-but-box .adduser-btn',function(){
                layer.close(parms.layIndex);
            })

            $(document).off('click','.kanbantypeset-but-box .adduser-btn2').on('click','.kanbantypeset-but-box .adduser-btn2',function(){
                var data = layui.form.val('kanbantypeexample');
                console.log(data);
                me.callback && me.callback(data);
                layer.close(parms.layIndex);
            })

        }
    };
})();